$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2023.7.3/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2023.7.3/cloudflared-windows-amd64.exe'

  checksum      = 'ce95df7f69664c3df19b76028e115931919a71517b776da7b42d353e2ff4a670'
  checksumType  = 'sha256'
  checksum64    = '1293525a19cfe3bc8296b62fbfe19f083632ed644a1c18c10b045a1d3030d81a'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
